%dopasowanie trzech krzywych do krzywej rzeczywistej
clear;
FID = fopen('mezczyzni.txt','rt');
if FID==-1
    error(['Niepomylne otwarcie pliku: ',plik]);
end;
k=1;
while 1
    wiersz=fgetl(FID);
    if ~ischar(wiersz),break,end;
    dozywajacy(k)=strread(wiersz,'%d');
    k=k+1;
end;
zamknij=fclose(FID);
wiek=0:100;
dane=dozywajacy;
dozywajacy=dozywajacy/100000;
intensywnosc1=0.0675;
intensywnosc2=0.1825;
intensywnosc3=0.9075;
limit1=6;
limit2=14;
limit3=68;
[m v p P1]=srwiekzgonu(1000,intensywnosc1,limit1);
[m v p P2]=srwiekzgonu(1000,intensywnosc2,limit2);
[m v p P3]=srwiekzgonu(1000,intensywnosc3,limit3);
P(1:59)=P1(1:59);
P(60:74)=P2(60:74);
P(75:101)=P3(75:101);
plot(wiek,dozywajacy,'b-','LineWidth',2);
hold on
plot(wiek,P,'k-','LineWidth',2);
axis([0 101 0 1.05]);
hold off
pole=0;
for i=1:100
    a=abs(dozywajacy(i)-P(i));    
    b=abs(dozywajacy(i+1)-P(i+1));   
    pole=pole+0.5*(a+b);
end;
y=pole
